LZN's Blog CodePlayer

【未解决】CESM1.2.2移植到中大hpc4平台出问题

2014-07-28
LZN
 

有1.2.0的基础,想必1.2.2应该是好搞定的,很多配置文件可以从1.2.0里拷贝过来。如法炮制,在天河二号上应该也可以这么搞定。

首先cd到新版的Machines目录下,然后拷贝旧版中的config_machines.xml config_compilers.xml 以及 mkbatch.${MACH}这三个配置文件过来(${MACH}代表自定义的机器名)

#cd ~/CESM/cesm1_2_2//scripts/ccsm_utils/Machines #cp ~/CESM/cesm1_2_0/scripts/ccsm_utils/Machines/config_machines.xml ./ #cp ~/CESM/cesm1_2_0/scripts/ccsm_utils/Machines/config_compilers.xml ./ #cp ~/CESM/cesm1_2_0/scripts/ccsm_utils/Machines/mkbatch.sigon ./

回到scripts目录,再采用create_newcase的方法进行X Compset的测试,

#./create_newcase -case testnew -res f45_g37 -compset X -mach sigon

结果出现了意想不到的错误:

WARNING:     The perl module XML::LibXML is needed for XML parsing in the CESM script system.         Please contact your local systems administrators or IT staff and have them install it for         you, or install the module locally.

回到1.2.0的目录测试,发现1.2.0是没有问题的。感觉像是新版加了perl的神马库去解析xml文件,google之,发现应该是这样。

https://bb.cgd.ucar.edu/cesm-12-stempede-problem

https://bb.cgd.ucar.edu/warning-cesm122

按照贴子里的说法下载 XML::LibXML  安装,发现安装说明一头雾水完全看不懂,cpan命令无效,退出到workstation居然有cpan命令,呃……看起来是hpc4又没装神马东西,回来再慢慢捣鼓吧……


Similar Posts

Comments